<?php
/*
File: inc/assets.php
Description: Assets inclusion
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/



//********************************************************************************//
// CSS
//********************************************************************************//


// Frontend
add_action( 'wp_enqueue_scripts', 'megaposts_frontend_styles' );

function megaposts_frontend_styles() {
	
	// Main
	wp_register_style( 'megaposts-main-style',  AD_MP_URL . 'assets/css/style.css' );
    wp_enqueue_style( 'megaposts-main-style' );

	wp_register_style( 'megaposts-posts',  AD_MP_URL . 'assets/css/posts.css' );
    wp_enqueue_style( 'megaposts-posts' );
	
	wp_register_style( 'fonts',  AD_MP_URL . 'assets/css/fonts.css' );
    wp_enqueue_style( 'fonts' );	
	
	// CAROUSEL
	wp_register_style( 'owl-carousel-css',  AD_MP_URL . 'assets/css/owl.carousel.css' );
    wp_enqueue_style( 'owl-carousel-css' );	
	wp_register_style( 'owl-theme-css',  AD_MP_URL . 'assets/css/owl.theme.css' );
    wp_enqueue_style( 'owl-theme-css' );	
	
	// WIDGET
	wp_register_style( 'admp-widget',  AD_MP_URL . 'assets/css/widget.css' );
    wp_enqueue_style( 'admp-widget' );
	
	/*	
	// PHOTOBOX
	wp_register_style( 'photobox',  AD_MP_URL . 'css/photobox.css' );
    wp_enqueue_style( 'photobox' );	
	wp_register_style( 'photoboxie',  AD_MP_URL . 'css/photobox.ie.css' );
    wp_enqueue_style( 'photoboxie' );	
	wp_register_style( 'photobox-style',  AD_MP_URL . 'css/photobox-style.css' );
    wp_enqueue_style( 'photobox-style' );
	
	// PRETTYPHOTO
	wp_register_style( 'prettyPhoto',  AD_MP_URL . 'css/prettyPhoto.css' );
    wp_enqueue_style( 'prettyPhoto' );
	
	// MAGNIFIC POPUP
	wp_register_style( 'magnific-popup',  AD_MP_URL . 'css/magnific-popup.css' );
    wp_enqueue_style( 'magnific-popup' );
	*/
			
}


// Backend
add_action( 'admin_enqueue_scripts', 'megaposts_backend_styles' );

function megaposts_backend_styles() {
	
	// Main
	wp_register_style( 'megaposts-backend-style',  AD_MP_URL . 'assets/css/backend.css' );
    wp_enqueue_style( 'megaposts-backend-style' );
	
	
}



//********************************************************************************//
// JS
//********************************************************************************//


// Frontend
add_action('wp_enqueue_scripts', 'megaposts_frontend_scripts');

function megaposts_frontend_scripts() {
	
	// Load WP jQuery if not included
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-masonry');
	wp_enqueue_script('jquery-ui-tabs');
	// Load main js script
	// wp_enqueue_script('megaposts-frontend-script', AD_MP_URL . 'assets/js/frontend.js', array('jquery'), '', true);
	wp_enqueue_script('owl.carousel-js', AD_MP_URL . 'assets/js/owl.carousel.js', array('jquery'), '', true);	
	
	// TICKER
	wp_enqueue_script('newsTicker-js', AD_MP_URL . 'assets/js/jquery.newsTicker.min.js', array('jquery'), '', true);	
	
	
	
	
	
	/*
	// PHOTOBOX
	wp_enqueue_script('photobox-js', AD_MP_URL . 'js/photobox.js', array('jquery'), '', true);
	// PRETTYPHOTO
	wp_enqueue_script('prettyPhoto-js', AD_MP_URL . 'js/jquery.prettyPhoto.js', array('jquery'), '', true);
	// MAGNIFIC POPUP
	wp_enqueue_script('magnific-popup-js', AD_MP_URL . 'js/jquery.magnific-popup.js', array('jquery'), '', true);
	*/
		
}

// Backend
add_action('admin_enqueue_scripts', 'megaposts_shortcodes_backend_scripts');

function megaposts_shortcodes_backend_scripts() {
	
	wp_enqueue_script('jquery');
    wp_enqueue_script( 'backend', AD_MP_URL . 'assets/js/backend.js', array('jquery'), false, true );	
	wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'wp-color-picker-script', AD_MP_URL . 'assets/js/colorpicker.js', array( 'wp-color-picker' ), false, true );
	
}


if (!function_exists('adtheme_theme_setup')):

    function adtheme_theme_setup() {
		add_image_size( 'megaposts_custom_size_default', 260, 260, true );
		add_image_size( 'sgallery', 800, 600, true );
		add_image_size( 'post-cat', 1000, 800, true );
	}
	
endif;

add_action('after_setup_theme', 'adtheme_theme_setup');