<?php
/*
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/


// ADD SIZE

function admegaposts_add_image_sizes() {

add_image_size( 'admegaposts-masonry', 500 );
add_image_size( 'admegaposts-normal', 800 , 800 , true);
add_image_size( 'admegaposts-type1', 800 , 500 , true);

}

add_action( 'init', 'admegaposts_add_image_sizes' );

/**************************************************************************/
/************************ FUNCTION POST INFO ******************************/
/**************************************************************************/

function admegaposts_thumbs() {
	global $post;
	if(has_post_thumbnail()){ 
			$id_post = get_the_id();					
			$single_image = wp_get_attachment_image_src( get_post_thumbnail_id($id_post), 'admegaposts-type1' );	 					 
		} else {               
             $single_image[0] = AD_MP_URL .'assets/img/no-img.png';                 
    }	
	$return =	'<img class="megaposts-thumbs" src="'.$single_image[0].'" alt="'.get_the_title().'">';
	return $return;
}


function admegaposts_format_icon() {
	$id_post = get_the_id(); 
    $format = get_post_format( $id_post );   
    if (empty($format)) { $format = 'standard'; }
	if ($format == 'standard') { $return = '<span class="icon-file3"></span>'; }
	if ($format == 'aside') { $return = '<span class="icon-file"></span>'; }
	if ($format == 'link') { $return = '<span class="icon-attachment"></span>'; }   
    if ($format == 'gallery') { $return = '<span class="icon-images"></span>'; }
    if ($format == 'video') { $return = '<span class="icon-youtube"></span>'; }
    if ($format == 'audio') { $return = '<span class="icon-headphones"></span>'; }
    if ($format == 'image') { $return = '<span class="icon-image2"></span>'; } 
    if ($format == 'quote') { $return = '<span class="icon-quotes-left"></span>'; }
    if ($format == 'status') { $return = '<span class="icon-bubble2"></span>'; }
	
	return $return;	
}

function admegaposts_excerpt($excerpt) {
	$return = substr(get_the_excerpt(), 0, $excerpt);
	return $return;
}

function admegaposts_category($img_source) {
	if($img_source=='post') {
		$categories = get_the_category();
		$separator = ', ';
		$output = '';
		if($categories){
			foreach($categories as $category) {
				$output .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'admegaposts' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
			}
		}
	}
	$return = trim($output, $separator);
	return $return;
}

function admegaposts_post_info($ad_postpreview_display_date,
							 $ad_postpreview_display_comments,
						     $ad_postpreview_display_author,
						     $ad_postpreview_display_category,
						     $ad_postpreview_display_views,
						     $img_source,
							 $date_format) {	   
		   global $post;
		   $return = '';
		   if($ad_postpreview_display_date == 'true') {
		   
		   		$return .= '<span class="admp-date"><i class="icon-calendar"></i>' . get_the_date($date_format) . '</span>'; 
			
		   }
		    
		   if($ad_postpreview_display_author == 'true') {	   
		   		$return .= '<span class="admp-author"><i class="icon-user"></i><a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author_meta( 'display_name' ).'</a></span>'; 
		   } 	
		   	   
		   if($ad_postpreview_display_comments == 'true') {
           	   
           		$return .= '<span class="admp-comments"><i class="icon-bubble"></i><a href="'.get_comments_link().'">'.get_comments_number().'</a></span>';
		   
		   }
		    		    
		   if($ad_postpreview_display_category == 'true' && $img_source == 'post') {
		   		$return .= '<span class="admp-category"><i class="icon-tag"></i>'.admegaposts_category($img_source).'</span>'; 
		   }
			
		   if($ad_postpreview_display_views == 'true') {        
		   $return .= '<span class="admp-views"><i class="icon-eye"></i>'.admegaposts_get_post_views(get_the_ID()).'</span>';
		   }
		   
		   return $return; 		   
}



/**************************************************************************/
/******************************** RGBA ************************************/
/**************************************************************************/

function admegapostshex2rgb($hex) {

   $hex = str_replace("#", "", $hex);

if(strlen($hex) == 3) {
		$r = hexdec(substr($hex,0,1).substr($hex,0,1));
		$g = hexdec(substr($hex,1,1).substr($hex,1,1));
		$b = hexdec(substr($hex,2,1).substr($hex,2,1));
	} else {
		$r = hexdec(substr($hex,0,2));
		$g = hexdec(substr($hex,2,2));
		$b = hexdec(substr($hex,4,2));
	}
	$rgb = array($r, $g, $b);
	//return implode(",", $rgb); // returns the rgb values separated by commas
	return $rgb; // returns an array with the rgb values
}

/**************************************************************************/
/************************** FUNCTION VIEW *********************************/
/**************************************************************************/

function admegaposts_get_post_views($postID){
    $count_key = 'wpb_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
		$view = __('Views','admegaposts');
        return "0";
    }
	//$views = __('Views','adt');
	$count_final = $count; 
	//$count_final .= ' ' . $views;
    return $count_final;
}

function admegaposts_set_post_views() {
	if ( is_single() ) {
	global $post;
	$postID = $post->ID;	
    $count_key = 'wpb_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
	}
}
add_filter( 'wp_footer', 'admegaposts_set_post_views', 200000 );

/**************************************************************************/
/********************** END FUNCTION VIEW *********************************/
/**************************************************************************/



/**************************************************************************/
/************************** FUNCTION SHARE ********************************/
/**************************************************************************/


function admegaposts_share() {
	global $post;
	$pinterestimage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
	
		
	$return = '<div class="adpostsnp-share">
        <div class="adpostsnp-share-item"><a target="_blank" class="icon-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'" title="'.__('Click to share this post on Facebook','admegaposts').'"></a></div>
		<div class="adpostsnp-share-item"><a target="_blank" class="icon-twitter" href="http://twitter.com/home?status='.get_the_permalink().'" title="'.__('Click to share this post on Twitter','admegaposts').'"></a></div>
        <div class="adpostsnp-share-item"><a target="_blank" class="icon-googleplus" href="https://plus.google.com/share?url='.get_the_permalink().'" title="'.__('Click to share this post on Google+','admegaposts').'"></a></div>
        <div class="adpostsnp-share-item"><a target="_blank" class="icon-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'" title="'.__('Click to share this post on Linkedin','admegaposts').'"></a></div>
    	<div class="adpostsnp-share-item"><a target="_blank" class="icon-pinterest" href="http://pinterest.com/pin/create/button/?url='.urlencode(get_permalink($post->ID)).'&media='.$pinterestimage[0].'&description='.get_the_title().'" title="'.__('Click to share this post on Pinterest','admegaposts').'"></a></div>
    </div>';
	
    return $return;
    
}

/************************************************************/
/*********************** GET POST TYPE **********************/
/************************************************************/
function all_post_types() {

	// Select all public post types
	$args = array(
	   'public'   => true,
	);
	
	$all_types = get_post_types($args, 'names', 'and');
	
	
	// Put them in an ordered array filtering the types you don't want
	
	$sel_types = array();
	
	foreach ($all_types as $type) {
	
		if ($type != 'attachment' && $type != 'post' && $type != 'page') { 
			$sel_types[] = $type; 
		}
		
	}
	
	
	// Return Selected Post Types Array
	$return = '';
	$return .= '<select id="admegaposts_post_type">';
	foreach ($sel_types as $slug) {
		$return .= '<option value="'.$slug.'">'.$slug.'</option>';	
	}
	$return .= '</select>';
	
	
	return $return;

}














add_filter('widget_text', 'do_shortcode');

?>